Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19
Trouble installing Hostap Driver for 2.6.16-1.2129
Results 1 to 5 of 5

Thread: Trouble installing Hostap Driver for 2.6.16-1.2129

  1. #1

    Question Trouble installing Hostap Driver for 2.6.16-1.2129

    In the web site of Hostap it is said that the newer kernel versions 2.6.14 and above include the hostap driver in the kernel.
    This i found out when i tried to install hostap 0.4.9 at my FC5 dist. 2.6.16-1.2129.
    When im at the source dir of Hostap and run make i get this:
    /root/Desktop/Prism2.5/Hostap0.4.9/hostap-driver-0.4.9/driver/modules/hostap.c:45:2: error: #error Host AP driver was added into Linux 2.6.14.
    /root/Desktop/Prism2.5/Hostap0.4.9/hostap-driver-0.4.9/driver/modules/hostap.c:46:2: error: #error The version used in the kernel tree should be used instead of this
    /root/Desktop/Prism2.5/Hostap0.4.9/hostap-driver-0.4.9/driver/modules/hostap.c:47:2: error: #error external release which is only maintained for old kernel versions.
    The installation is interrupted with an error and it ends.
    My questions is: What do i have to do to install the driver ?

  2. #2
    You need to rebuild your kernel and enable support for the driver.
    My crime is that of curiosity. My crime is that of judging people by what they say and think, not what they look like. My crime is that of outsmarting you, something that you will never forgive.

  3. #3
    Can you briefly tell me how do i enable support for this driver?

    I am new i dont know how to rebuild a kernel.I will read but some hints of were to look will be useful!

  4. #4
    Moderator
    Good Guru
    Compunuts's Avatar
    Join Date
    May 2001
    Location
    California
    Posts
    3,935
    IF you are using kernel 2.6.14 and later and if it's already included in your kernel, you do not need to install from source. All you have to do is insmod <module> to get it going.

    To view links or images in signatures your post count must be 10 or greater. You currently have 0 posts.
    - The truely community run Linux/Floss forum !

    No IT BS !!

  5. #5
    As Compunuts said, if the driver is already compiled into the kernel, you just need to do
    Code:
    insmod hostap
    . However, I don't think this is the case on FC5.

    I went to Google and typed fc5 hostap. The second result brings up this link: http://www.wirelessdefence.org/Conte...stap_Manually:
    My crime is that of curiosity. My crime is that of judging people by what they say and think, not what they look like. My crime is that of outsmarting you, something that you will never forgive.

Similar Threads

  1. help me in installing ethernet driver
    By d_lakshman in forum Linux - Hardware, Networking & Security
    Replies: 12
    Last Post: 04-06-2009, 09:44 AM
  2. having trouble installing OpenBSD
    By open_bsd in forum BSD
    Replies: 1
    Last Post: 09-18-2007, 11:36 AM
  3. Trouble installing rpm's
    By Gaiadin in forum Linux - General Topics
    Replies: 4
    Last Post: 03-02-2005, 04:40 PM
  4. trouble installing the 2.6 kernel
    By Mantis166 in forum Linux - General Topics
    Replies: 9
    Last Post: 07-27-2003, 03:51 AM
  5. trouble installing on xp
    By rod in forum Linux - Software, Applications & Programming
    Replies: 6
    Last Post: 07-08-2002, 03:45 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •